---
title: cartBuyerIdentityUpdateDefault
description: >-
  Creates a function that accepts an object of CartBuyerIdentityInput and
  updates the buyer identity of a cart
api_version: 2026-04
api_name: hydrogen
source_url:
  html: >-
    https://shopify.dev/docs/api/hydrogen/2025-05/utilities/cart/cartbuyeridentityupdatedefault
  md: >-
    https://shopify.dev/docs/api/hydrogen/2025-05/utilities/cart/cartbuyeridentityupdatedefault.md
---

# cartBuyerIdentityUpdateDefault

Creates a function that accepts an object of [CartBuyerIdentityInput](https://shopify.dev/docs/api/storefront/2026-01/input-objects/CartBuyerIdentityInput) and updates the buyer identity of a cart

## cart​Buyer​Identity​Update​Default(**[options](#cartbuyeridentityupdatedefault-propertydetail-options)**​)

### Parameters

* **options**

  **CartQueryOptions**

  **required**

### Returns

* **CartBuyerIdentityUpdateFunction**

### CartQueryOptions

* cartFragment

  The cart fragment to override the one used in this query.

  ```ts
  string
  ```

* customerAccount

  The customer account instance created by \[\`createCustomerAccount\`]\(docs/api/hydrogen/latest/customer/createcustomeraccount).

  ```ts
  CustomerAccount
  ```

* getCartId

  A function that returns the cart ID.

  ```ts
  () => string
  ```

* storefront

  The storefront client instance created by \[\`createStorefrontClient\`]\(docs/api/hydrogen/latest/utilities/createstorefrontclient).

  ```ts
  Storefront
  ```

### CustomerAccount

* authorize

  On successful login, the customer redirects back to your app. This function validates the OAuth response and exchanges the authorization code for an access token and refresh token. It also persists the tokens on your session. This function should be called and returned from the Remix loader configured as the redirect URI within the Customer Account API settings in admin.

  ```ts
  () => Promise<Response>
  ```

* getAccessToken

  Returns CustomerAccessToken if the customer is logged in. It also run a expiry check and does a token refresh if needed.

  ```ts
  () => Promise<string>
  ```

* getApiUrl

  Creates the fully-qualified URL to your store's GraphQL endpoint.

  ```ts
  () => string
  ```

* getBuyer

  Get buyer token and company location id from session.

  ```ts
  () => Promise<Partial<BuyerInput>>
  ```

* handleAuthStatus

  Check for a not logged in customer and redirect customer to login page. The redirect can be overwritten with \`customAuthStatusHandler\` option.

  ```ts
  () => Promise<void>
  ```

* i18n

  The i18n configuration for Customer Account API

  ```ts
  { language: LanguageCode; }
  ```

* isLoggedIn

  Returns if the customer is logged in. It also checks if the access token is expired and refreshes it if needed.

  ```ts
  () => Promise<boolean>
  ```

* login

  Start the OAuth login flow. This function should be called and returned from a Remix loader. It redirects the customer to a Shopify login domain. It also defined the final path the customer lands on at the end of the oAuth flow with the value of the \`return\_to\` query param. (This is automatically setup unless \`customAuthStatusHandler\` option is in use)

  ```ts
  (options?: LoginOptions) => Promise<Response>
  ```

* logout

  Logout the customer by clearing the session and redirecting to the login domain. It should be called and returned from a Remix action. The path app should redirect to after logout can be setup in Customer Account API settings in admin.

  ```ts
  (options?: LogoutOptions) => Promise<Response>
  ```

* mutate

  Execute a GraphQL mutation against the Customer Account API. This method execute \`handleAuthStatus()\` ahead of mutation.

  ```ts
  <OverrideReturnType extends unknown = never, RawGqlString extends string = string>(mutation: RawGqlString, ...options: IsOptionalVariables<CustomerAccountMutations[RawGqlString]["variables"], never, Omit<CustomerAccountMutations[RawGqlString]["variables"], never>> extends true ? [({} & ClientVariables<CustomerAccountMutations, RawGqlString, never, "variables", RawGqlString extends never ? SetOptional<CustomerAccountMutations[RawGqlString]["variables"], Extract<keyof CustomerAccountMutations[RawGqlString]["variables"], never>> : { readonly [variable: string]: unknown; }, Record<"variables", RawGqlString extends never ? SetOptional<CustomerAccountMutations[RawGqlString]["variables"], Extract<keyof CustomerAccountMutations[RawGqlString]["variables"], never>> : { readonly [variable: string]: unknown; }>>)?] : [{} & ClientVariables<CustomerAccountMutations, RawGqlString, never, "variables", RawGqlString extends never ? SetOptional<CustomerAccountMutations[RawGqlString]["variables"], Extract<keyof CustomerAccountMutations[RawGqlString]["variables"], never>> : { readonly [variable: string]: unknown; }, Record<"variables", RawGqlString extends never ? SetOptional<CustomerAccountMutations[RawGqlString]["variables"], Extract<keyof CustomerAccountMutations[RawGqlString]["variables"], never>> : { readonly [variable: string]: unknown; }>>]) => Promise<Omit<CustomerAPIResponse<ClientReturn<CustomerAccountMutations, RawGqlString, OverrideReturnType>>, "errors"> & { errors?: Pick<GraphQLError, "path" | "name" | "message" | "extensions" | "locations" | "stack">[]; }>
  ```

* query

  Execute a GraphQL query against the Customer Account API. This method execute \`handleAuthStatus()\` ahead of query.

  ```ts
  <OverrideReturnType extends unknown = never, RawGqlString extends string = string>(query: RawGqlString, ...options: IsOptionalVariables<CustomerAccountQueries[RawGqlString]["variables"], never, Omit<CustomerAccountQueries[RawGqlString]["variables"], never>> extends true ? [({} & ClientVariables<CustomerAccountQueries, RawGqlString, never, "variables", RawGqlString extends never ? SetOptional<CustomerAccountQueries[RawGqlString]["variables"], Extract<keyof CustomerAccountQueries[RawGqlString]["variables"], never>> : { readonly [variable: string]: unknown; }, Record<"variables", RawGqlString extends never ? SetOptional<CustomerAccountQueries[RawGqlString]["variables"], Extract<keyof CustomerAccountQueries[RawGqlString]["variables"], never>> : { readonly [variable: string]: unknown; }>>)?] : [{} & ClientVariables<CustomerAccountQueries, RawGqlString, never, "variables", RawGqlString extends never ? SetOptional<CustomerAccountQueries[RawGqlString]["variables"], Extract<keyof CustomerAccountQueries[RawGqlString]["variables"], never>> : { readonly [variable: string]: unknown; }, Record<"variables", RawGqlString extends never ? SetOptional<CustomerAccountQueries[RawGqlString]["variables"], Extract<keyof CustomerAccountQueries[RawGqlString]["variables"], never>> : { readonly [variable: string]: unknown; }>>]) => Promise<Omit<CustomerAPIResponse<ClientReturn<CustomerAccountQueries, RawGqlString, OverrideReturnType>>, "errors"> & { errors?: Pick<GraphQLError, "path" | "name" | "message" | "extensions" | "locations" | "stack">[]; }>
  ```

* setBuyer

  Set buyer information into session.

  ```ts
  (buyer: Partial<BuyerInput>) => void
  ```

* UNSTABLE\_getBuyer

  Deprecated. Please use getBuyer. Get buyer token and company location id from session.

  ```ts
  () => Promise<Partial<BuyerInput>>
  ```

* UNSTABLE\_setBuyer

  Deprecated. Please use setBuyer. Set buyer information into session.

  ```ts
  (buyer: Partial<BuyerInput>) => void
  ```

### LoginOptions

* acrValues

  ```ts
  string
  ```

* countryCode

  ```ts
  CountryCode
  ```

* locale

  ```ts
  string
  ```

* loginHint

  ```ts
  string
  ```

* loginHintMode

  ```ts
  string
  ```

* uiLocales

  ```ts
  LanguageCode
  ```

### LogoutOptions

* headers

  Add custom headers to the logout redirect.

  ```ts
  HeadersInit
  ```

* keepSession

  If true, custom data in the session will not be cleared on logout.

  ```ts
  boolean
  ```

* postLogoutRedirectUri

  The url to redirect customer to after logout, should be a relative URL. This url will need to included in Customer Account API's application setup for logout URI. The default value is current app origin, which is automatically setup in admin when using \`--customer-account-push\` flag with dev.

  ```ts
  string
  ```

### CustomerAccountMutations



### CustomerAPIResponse

* data

  ```ts
  ReturnType
  ```

* errors

  ```ts
  Array<{
      message: string;
      locations?: Array<{line: number; column: number}>;
      path?: Array<string>;
      extensions: {code: string};
    }>
  ```

* extensions

  ```ts
  { cost: { requestQueryCost: number; actualQueryCakes: number; throttleStatus: { maximumAvailable: number; currentAvailable: number; restoreRate: number; }; }; }
  ```

### GraphQLError

* locations

  If an error can be associated to a particular point in the requested GraphQL document, it should contain a list of locations.

  ```ts
  { line: number; column: number; }[]
  ```

* path

  If an error can be associated to a particular field in the GraphQL result, it \_must\_ contain an entry with the key \`path\` that details the path of the response field which experienced the error. This allows clients to identify whether a null result is intentional or caused by a runtime error.

  ```ts
  (string | number)[]
  ```

* extensions

  Reserved for implementors to extend the protocol however they see fit, and hence there are no additional restrictions on its contents.

  ```ts
  { [key: string]: unknown; }
  ```

* toString

  Note: \`toString()\` is internally used by \`console.log(...)\` / \`console.error(...)\` when ingesting logs in Oxygen production. Therefore, we want to make sure that the error message is as informative as possible instead of \`\[object Object]\`.

  ```ts
  () => string
  ```

* toJSON

  Note: toJSON\` is internally used by \`JSON.stringify(...)\`. The most common scenario when this error instance is going to be stringified is when it's passed to Remix' \`json\` and \`defer\` functions: e.g. \`{promise: storefront.query(...)}\`. In this situation, we don't want to expose private error information to the browser so we only do it in development.

  ```ts
  () => Pick<GraphQLError, "path" | "name" | "message" | "extensions" | "locations" | "stack">
  ```

* \_\_@toStringTag\@227390

  ```ts
  string
  ```

* name

  ```ts
  string
  ```

* message

  ```ts
  string
  ```

* stack

  ```ts
  string
  ```

### CustomerAccountQueries



### Storefront

Interface to interact with the Storefront API.

* cache

  ```ts
  Cache
  ```

* CacheCustom

  ```ts
  (overrideOptions: AllCacheOptions) => AllCacheOptions
  ```

* CacheLong

  ```ts
  (overrideOptions?: AllCacheOptions) => AllCacheOptions
  ```

* CacheNone

  ```ts
  () => NoStoreStrategy
  ```

* CacheShort

  ```ts
  (overrideOptions?: AllCacheOptions) => AllCacheOptions
  ```

* forward

  Forwards the request to the Storefront API. It reads the API version from the request URL.

  ```ts
  (request: Request, options?: Pick<StorefrontCommonExtraParams, "storefrontApiVersion">) => Promise<Response>
  ```

* forwardMcp

  Forwards the request to the Storefront MCP endpoint.

  ```ts
  (request: Request) => Promise<Response>
  ```

* generateCacheControlHeader

  ```ts
  (cacheOptions: AllCacheOptions) => string
  ```

* getApiUrl

  ```ts
  (props?: Partial<Pick<StorefrontClientProps, "storefrontApiVersion" | "storeDomain">>) => string
  ```

* getHeaders

  ```ts
  () => Record<string, string>
  ```

* getPrivateTokenHeaders

  ```ts
  (props?: Partial<Pick<StorefrontClientProps, "contentType">> & Pick<StorefrontClientProps, "privateStorefrontToken"> & { buyerIp?: string; }) => Record<string, string>
  ```

* getPublicTokenHeaders

  ```ts
  (props?: Partial<Pick<StorefrontClientProps, "contentType">> & Pick<StorefrontClientProps, "publicStorefrontToken">) => Record<string, string>
  ```

* getShopifyDomain

  ```ts
  (props?: Partial<Pick<StorefrontClientProps, "storeDomain">>) => string
  ```

* i18n

  ```ts
  TI18n
  ```

* isMcpUrl

  Checks if the request URL matches the Storefront MCP endpoint.

  ```ts
  (request: { url?: string; }) => boolean
  ```

* isStorefrontApiUrl

  Checks if the request URL matches the Storefront API GraphQL endpoint.

  ```ts
  (request: { url?: string; }) => boolean
  ```

* mutate

  ```ts
  <OverrideReturnType extends unknown = never, RawGqlString extends string = string>(mutation: RawGqlString, ...options: IsOptionalVariables<StorefrontMutations[RawGqlString]["variables"], AutoAddedVariableNames, Omit<StorefrontMutations[RawGqlString]["variables"], AutoAddedVariableNames>> extends true ? [(StorefrontCommonExtraParams & ClientVariables<StorefrontMutations, RawGqlString, AutoAddedVariableNames, "variables", RawGqlString extends never ? SetOptional<StorefrontMutations[RawGqlString]["variables"], Extract<keyof StorefrontMutations[RawGqlString]["variables"], AutoAddedVariableNames>> : { readonly [variable: string]: unknown; }, Record<"variables", RawGqlString extends never ? SetOptional<StorefrontMutations[RawGqlString]["variables"], Extract<keyof StorefrontMutations[RawGqlString]["variables"], AutoAddedVariableNames>> : { readonly [variable: string]: unknown; }>>)?] : [StorefrontCommonExtraParams & ClientVariables<StorefrontMutations, RawGqlString, AutoAddedVariableNames, "variables", RawGqlString extends never ? SetOptional<StorefrontMutations[RawGqlString]["variables"], Extract<keyof StorefrontMutations[RawGqlString]["variables"], AutoAddedVariableNames>> : { readonly [variable: string]: unknown; }, Record<"variables", RawGqlString extends never ? SetOptional<StorefrontMutations[RawGqlString]["variables"], Extract<keyof StorefrontMutations[RawGqlString]["variables"], AutoAddedVariableNames>> : { readonly [variable: string]: unknown; }>>]) => Promise<ClientReturn<StorefrontMutations, RawGqlString, OverrideReturnType> & StorefrontError>
  ```

* query

  ```ts
  <OverrideReturnType extends unknown = never, RawGqlString extends string = string>(query: RawGqlString, ...options: IsOptionalVariables<StorefrontQueries[RawGqlString]["variables"], AutoAddedVariableNames, Omit<StorefrontQueries[RawGqlString]["variables"], AutoAddedVariableNames>> extends true ? [(StorefrontCommonExtraParams & Pick<StorefrontQueryOptions, "cache"> & ClientVariables<StorefrontQueries, RawGqlString, AutoAddedVariableNames, "variables", RawGqlString extends never ? SetOptional<StorefrontQueries[RawGqlString]["variables"], Extract<keyof StorefrontQueries[RawGqlString]["variables"], AutoAddedVariableNames>> : { readonly [variable: string]: unknown; }, Record<"variables", RawGqlString extends never ? SetOptional<StorefrontQueries[RawGqlString]["variables"], Extract<keyof StorefrontQueries[RawGqlString]["variables"], AutoAddedVariableNames>> : { readonly [variable: string]: unknown; }>>)?] : [StorefrontCommonExtraParams & Pick<StorefrontQueryOptions, "cache"> & ClientVariables<StorefrontQueries, RawGqlString, AutoAddedVariableNames, "variables", RawGqlString extends never ? SetOptional<StorefrontQueries[RawGqlString]["variables"], Extract<keyof StorefrontQueries[RawGqlString]["variables"], AutoAddedVariableNames>> : { readonly [variable: string]: unknown; }, Record<"variables", RawGqlString extends never ? SetOptional<StorefrontQueries[RawGqlString]["variables"], Extract<keyof StorefrontQueries[RawGqlString]["variables"], AutoAddedVariableNames>> : { readonly [variable: string]: unknown; }>>]) => Promise<ClientReturn<StorefrontQueries, RawGqlString, OverrideReturnType> & StorefrontError>
  ```

* setCollectedSubrequestHeaders

  Sets the collected subrequest headers in the response. Useful to forward the cookies and server-timing headers from server subrequests to the browser.

  ```ts
  (response: { headers: Headers; }) => void
  ```

### AllCacheOptions

Override options for a cache strategy.

* maxAge

  The maximum amount of time in seconds that a resource will be considered fresh. See \`max-age\` in the \[MDN docs]\(https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control#:\~:text=Response%20Directives-,max%2Dage,-The%20max%2Dage).

  ```ts
  number
  ```

* mode

  The caching mode, generally \`public\`, \`private\`, or \`no-store\`.

  ```ts
  string
  ```

* sMaxAge

  Similar to \`maxAge\` but specific to shared caches. See \`s-maxage\` in the \[MDN docs]\(https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control#s-maxage).

  ```ts
  number
  ```

* staleIfError

  Indicate that the cache should serve the stale response if an error occurs while revalidating the cache. See \`stale-if-error\` in the \[MDN docs]\(https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control#stale-if-error).

  ```ts
  number
  ```

* staleWhileRevalidate

  Indicate that the cache should serve the stale response in the background while revalidating the cache. See \`stale-while-revalidate\` in the \[MDN docs]\(https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control#stale-while-revalidate).

  ```ts
  number
  ```

### NoStoreStrategy

* mode

  ```ts
  string
  ```

### StorefrontCommonExtraParams

* displayName

  ```ts
  string
  ```

* headers

  ```ts
  HeadersInit
  ```

* storefrontApiVersion

  ```ts
  string
  ```

### StorefrontClientProps

* contentType

  Customizes which \`"content-type"\` header is added when using \`getPrivateTokenHeaders()\` and \`getPublicTokenHeaders()\`. When fetching with a \`JSON.stringify()\`-ed \`body\`, use \`"json"\`. When fetching with a \`body\` that is a plain string, use \`"graphql"\`. Defaults to \`"json"\` Can also be customized on a call-by-call basis by passing in \`'contentType'\` to both \`getPrivateTokenHeaders({...})\` and \`getPublicTokenHeaders({...})\`, for example: \`getPublicTokenHeaders({contentType: 'graphql'})\`

  ```ts
  'json' | 'graphql'
  ```

* privateStorefrontToken

  The Storefront API delegate access token. Refer to the \[authentication]\(https://shopify.dev/api/storefront#authentication) and \[delegate access token]\(https://shopify.dev/apps/auth/oauth/delegate-access-tokens) documentation for more details.

  ```ts
  string
  ```

* publicStorefrontToken

  The Storefront API access token. Refer to the \[authentication]\(https://shopify.dev/api/storefront#authentication) documentation for more details.

  ```ts
  string
  ```

* storeDomain

  The host name of the domain (eg: \`{shop}.myshopify.com\`).

  ```ts
  string
  ```

* storefrontApiVersion

  The Storefront API version. This should almost always be the same as the version Hydrogen React was built for. Learn more about Shopify \[API versioning]\(https://shopify.dev/api/usage/versioning) for more details.

  ```ts
  string
  ```

### StorefrontMutations

Maps all the mutations found in the project to variables and return types.



### AutoAddedVariableNames

```ts
'country' | 'language'
```

### StorefrontError

* errors

  ```ts
  StorefrontApiErrors
  ```

### StorefrontApiErrors

```ts
JsonGraphQLError[] | undefined
```

### JsonGraphQLError

* extensions

  Reserved for implementors to extend the protocol however they see fit, and hence there are no additional restrictions on its contents.

  ```ts
  { [key: string]: unknown; }
  ```

* locations

  If an error can be associated to a particular point in the requested GraphQL document, it should contain a list of locations.

  ```ts
  { line: number; column: number; }[]
  ```

* message

  ```ts
  string
  ```

* name

  ```ts
  string
  ```

* path

  If an error can be associated to a particular field in the GraphQL result, it \_must\_ contain an entry with the key \`path\` that details the path of the response field which experienced the error. This allows clients to identify whether a null result is intentional or caused by a runtime error.

  ```ts
  (string | number)[]
  ```

* stack

  ```ts
  string
  ```

### StorefrontQueries

Maps all the queries found in the project to variables and return types.



### StorefrontQueryOptions

```ts
StorefrontCommonExtraParams & {
  query: string;
  mutation?: never;
  cache?: CachingStrategy;
}
```

### CachingStrategy

Use the \`CachingStrategy\` to define a custom caching mechanism for your data. Or use one of the pre-defined caching strategies: CacheNone, CacheShort, CacheLong.

* maxAge

  The maximum amount of time in seconds that a resource will be considered fresh. See \`max-age\` in the \[MDN docs]\(https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control#:\~:text=Response%20Directives-,max%2Dage,-The%20max%2Dage).

  ```ts
  number
  ```

* mode

  The caching mode, generally \`public\`, \`private\`, or \`no-store\`.

  ```ts
  string
  ```

* sMaxAge

  Similar to \`maxAge\` but specific to shared caches. See \`s-maxage\` in the \[MDN docs]\(https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control#s-maxage).

  ```ts
  number
  ```

* staleIfError

  Indicate that the cache should serve the stale response if an error occurs while revalidating the cache. See \`stale-if-error\` in the \[MDN docs]\(https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control#stale-if-error).

  ```ts
  number
  ```

* staleWhileRevalidate

  Indicate that the cache should serve the stale response in the background while revalidating the cache. See \`stale-while-revalidate\` in the \[MDN docs]\(https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control#stale-while-revalidate).

  ```ts
  number
  ```

### Headers



### CartBuyerIdentityUpdateFunction

* buyerIdentity

  ```ts
  CartBuyerIdentityInput
  ```

* optionalParams

  ```ts
  CartOptionalInput
  ```

returns

```ts
Promise<CartQueryDataReturn>
```

### CartBuyerIdentityInput



### CartOptionalInput

* cartId

  The cart id.

  ```ts
  string
  ```

* country

  The country code.

  ```ts
  CountryCode
  ```

* language

  The language code.

  ```ts
  LanguageCode
  ```

* visitorConsent

  Visitor consent preferences for the Storefront API's

  ```ts
  VisitorConsent
  ```

### VisitorConsent

* analytics

  ```ts
  ConsentStatus
  ```

* marketing

  ```ts
  ConsentStatus
  ```

* preferences

  ```ts
  ConsentStatus
  ```

* sale\_of\_data

  ```ts
  ConsentStatus
  ```

### ConsentStatus

```ts
boolean | undefined
```

### CartQueryDataReturn

```ts
CartQueryData & {
  errors?: StorefrontApiErrors;
}
```

### CartQueryData

* cart

  ```ts
  Cart
  ```

* userErrors

  ```ts
  | CartUserError[]
      | MetafieldsSetUserError[]
      | MetafieldDeleteUserError[]
  ```

* warnings

  ```ts
  CartWarning[]
  ```

### Cart

* attributes

  The cart's attributes.

  ```ts
  { __typename?: "Attribute"; key?: string; value?: string; }[]
  ```

* buyerIdentity

  The cart's buyer identity.

  ```ts
  { __typename?: "CartBuyerIdentity"; countryCode?: CountryCode; customer?: { metafield?: { id?: string; __typename?: "Metafield"; createdAt?: string; description?: string; key?: string; namespace?: string; parentResource?: any | { metafield?: any; metafields?: { id?: string; __typename?: "Metafield"; createdAt?: string; description?: string; key?: string; namespace?: string; parentResource?: any | any | { metafield?: any; metafields?: any[]; id?: string; __typename?: "Cart"; appliedGiftCards?: { id?: string; __typename?: "AppliedGiftCard"; amountUsed?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; amountUsedV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; balance?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; balanceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; lastCharacters?: string; presentmentAmountUsed?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }[]; attribute?: { __typename?: "Attribute"; key?: string; value?: string; }; attributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; buyerIdentity?: any; checkoutUrl?: string; cost?: { __typename?: "CartCost"; checkoutChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmountEstimated?: boolean; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmountEstimated?: boolean; totalDutyAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalDutyAmountEstimated?: boolean; totalTaxAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalTaxAmountEstimated?: boolean; }; createdAt?: string; delivery?: { __typename?: "CartDelivery"; addresses?: { __typename?: "CartSelectableAddress"; address?: { __typename?: "CartDeliveryAddress"; address1?: string; address2?: string; city?: string; company?: string; countryCode?: string; firstName?: string; formatted?: string[]; formattedArea?: string; lastName?: string; latitude?: number; longitude?: number; name?: string; phone?: string; provinceCode?: string; zip?: string; }; id?: string; oneTimeUse?: boolean; selected?: boolean; }[]; }; deliveryGroups?: { __typename?: "CartDeliveryGroupConnection"; edges?: { __typename?: "CartDeliveryGroupEdge"; cursor?: string; node?: { __typename?: "CartDeliveryGroup"; cartLines?: { __typename?: "BaseCartLineConnection"; edges?: { __typename?: "BaseCartLineEdge"; cursor?: string; node?: any | any; }[]; nodes?: ({ attribute?: any; attributes?: any[]; cost?: any; discountAllocations?: (any | any | any)[]; estimatedCost?: any; id?: string; merchandise?: any; quantity?: number; sellingPlanAllocation?: any; __typename?: "CartLine"; instructions?: any; parentRelationship?: any; } | { attribute?: any; attributes?: any[]; cost?: any; discountAllocations?: (any | any | any)[]; estimatedCost?: any; id?: string; merchandise?: any; quantity?: number; sellingPlanAllocation?: any; __typename?: "ComponentizableCartLine"; lineComponents?: any[]; })[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; deliveryAddress?: { id?: string; __typename?: "MailingAddress"; address1?: string; address2?: string; city?: string; company?: string; country?: string; countryCode?: string; countryCodeV2?: CountryCode; firstName?: string; formatted?: string[]; formattedArea?: string; lastName?: string; latitude?: number; longitude?: number; name?: string; phone?: string; province?: string; provinceCode?: string; zip?: string; }; deliveryOptions?: { __typename?: "CartDeliveryOption"; code?: string; deliveryMethodType?: DeliveryMethodType; description?: string; estimatedCost?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; handle?: string; title?: string; }[]; groupType?: CartDeliveryGroupType; id?: string; selectedDeliveryOption?: { __typename?: "CartDeliveryOption"; code?: string; deliveryMethodType?: DeliveryMethodType; description?: string; estimatedCost?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; handle?: string; title?: string; }; }; }[]; nodes?: { __typename?: "CartDeliveryGroup"; cartLines?: { __typename?: "BaseCartLineConnection"; edges?: { __typename?: "BaseCartLineEdge"; cursor?: string; node?: { attribute?: any; attributes?: any[]; cost?: any; discountAllocations?: (any | any | any)[]; estimatedCost?: any; id?: string; merchandise?: any; quantity?: number; sellingPlanAllocation?: any; __typename?: "CartLine"; instructions?: any; parentRelationship?: any; } | { attribute?: any; attributes?: any[]; cost?: any; discountAllocations?: (any | any | any)[]; estimatedCost?: any; id?: string; merchandise?: any; quantity?: number; sellingPlanAllocation?: any; __typename?: "ComponentizableCartLine"; lineComponents?: any[]; }; }[]; nodes?: ({ attribute?: { __typename?: "Attribute"; key?: string; value?: string; }; attributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; cost?: { __typename?: "CartLineCost"; amountPerQuantity?: any; compareAtAmountPerQuantity?: any; subtotalAmount?: any; totalAmount?: any; }; discountAllocations?: ({ discountApplication?: any; discountedAmount?: any; targetType?: DiscountApplicationTargetType; __typename?: "CartAutomaticDiscountAllocation"; title?: string; } | { discountApplication?: any; discountedAmount?: any; targetType?: DiscountApplicationTargetType; __typename?: "CartCodeDiscountAllocation"; code?: string; } | { discountApplication?: any; discountedAmount?: any; targetType?: DiscountApplicationTargetType; __typename?: "CartCustomDiscountAllocation"; title?: string; })[]; estimatedCost?: { __typename?: "CartLineEstimatedCost"; amount?: any; compareAtAmount?: any; subtotalAmount?: any; totalAmount?: any; }; id?: string; merchandise?: { metafield?: any; metafields?: any[]; id?: string; __typename?: "ProductVariant"; availableForSale?: boolean; barcode?: string; compareAtPrice?: any; compareAtPriceV2?: any; components?: any; currentlyNotInStock?: boolean; groupedBy?: any; image?: any; price?: any; priceV2?: any; product?: any; quantityAvailable?: number; quantityPriceBreaks?: any; quantityRule?: any; requiresComponents?: boolean; requiresShipping?: boolean; selectedOptions?: any[]; sellingPlanAllocations?: any; shopPayInstallmentsPricing?: any; sku?: string; storeAvailability?: any; taxable?: boolean; title?: string; unitPrice?: any; unitPriceMeasurement?: any; weight?: number; weightUnit?: WeightUnit; }; quantity?: number; sellingPlanAllocation?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: any; priceAdjustments?: any[]; remainingBalanceChargeAmount?: any; sellingPlan?: any; }; __typename?: "CartLine"; instructions?: { __typename?: "CartLineInstructions"; canRemove?: boolean; canUpdateQuantity?: boolean; }; parentRelationship?: { __typename?: "CartLineParentRelationship"; parent?: any; }; } | { attribute?: { __typename?: "Attribute"; key?: string; value?: string; }; attributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; cost?: { __typename?: "CartLineCost"; amountPerQuantity?: any; compareAtAmountPerQuantity?: any; subtotalAmount?: any; totalAmount?: any; }; discountAllocations?: ({ discountApplication?: any; discountedAmount?: any; targetType?: DiscountApplicationTargetType; __typename?: "CartAutomaticDiscountAllocation"; title?: string; } | { discountApplication?: any; discountedAmount?: any; targetType?: DiscountApplicationTargetType; __typename?: "CartCodeDiscountAllocation"; code?: string; } | { discountApplication?: any; discountedAmount?: any; targetType?: DiscountApplicationTargetType; __typename?: "CartCustomDiscountAllocation"; title?: string; })[]; estimatedCost?: { __typename?: "CartLineEstimatedCost"; amount?: any; compareAtAmount?: any; subtotalAmount?: any; totalAmount?: any; }; id?: string; merchandise?: { metafield?: any; metafields?: any[]; id?: string; __typename?: "ProductVariant"; availableForSale?: boolean; barcode?: string; compareAtPrice?: any; compareAtPriceV2?: any; components?: any; currentlyNotInStock?: boolean; groupedBy?: any; image?: any; price?: any; priceV2?: any; product?: any; quantityAvailable?: number; quantityPriceBreaks?: any; quantityRule?: any; requiresComponents?: boolean; requiresShipping?: boolean; selectedOptions?: any[]; sellingPlanAllocations?: any; shopPayInstallmentsPricing?: any; sku?: string; storeAvailability?: any; taxable?: boolean; title?: string; unitPrice?: any; unitPriceMeasurement?: any; weight?: number; weightUnit?: WeightUnit; }; quantity?: number; sellingPlanAllocation?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: any; priceAdjustments?: any[]; remainingBalanceChargeAmount?: any; sellingPlan?: any; }; __typename?: "ComponentizableCartLine"; lineComponents?: { attribute?: any; attributes?: any[]; cost?: any; discountAllocations?: (any | any | any)[]; estimatedCost?: any; id?: string; merchandise?: any; quantity?: number; sellingPlanAllocation?: any; __typename?: "CartLine"; instructions?: any; parentRelationship?: any; }[]; })[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; deliveryAddress?: { id?: string; __typename?: "MailingAddress"; address1?: string; address2?: string; city?: string; company?: string; country?: string; countryCode?: string; countryCodeV2?: CountryCode; firstName?: string; formatted?: string[]; formattedArea?: string; lastName?: string; latitude?: number; longitude?: number; name?: string; phone?: string; province?: string; provinceCode?: string; zip?: string; }; deliveryOptions?: { __typename?: "CartDeliveryOption"; code?: string; deliveryMethodType?: DeliveryMethodType; description?: string; estimatedCost?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; handle?: string; title?: string; }[]; groupType?: CartDeliveryGroupType; id?: string; selectedDeliveryOption?: { __typename?: "CartDeliveryOption"; code?: string; deliveryMethodType?: DeliveryMethodType; description?: string; estimatedCost?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; handle?: string; title?: string; }; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; discountAllocations?: ({ discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartAutomaticDiscountAllocation"; title?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCodeDiscountAllocation"; code?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCustomDiscountAllocation"; title?: string; })[]; discountCodes?: { __typename?: "CartDiscountCode"; applicable?: boolean; code?: string; }[]; estimatedCost?: { __typename?: "CartEstimatedCost"; checkoutChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalDutyAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalTaxAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; lines?: { __typename?: "BaseCartLineConnection"; edges?: { __typename?: "BaseCartLineEdge"; cursor?: string; node?: { attribute?: { __typename?: "Attribute"; key?: string; value?: string; }; attributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; cost?: { __typename?: "CartLineCost"; amountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; discountAllocations?: ({ discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: any | any; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartAutomaticDiscountAllocation"; title?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: any | any; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCodeDiscountAllocation"; code?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: any | any; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCustomDiscountAllocation"; title?: string; })[]; estimatedCost?: { __typename?: "CartLineEstimatedCost"; amount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; id?: string; merchandise?: { metafield?: any; metafields?: any[]; id?: string; __typename?: "ProductVariant"; availableForSale?: boolean; barcode?: string; compareAtPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtPriceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; components?: { __typename?: "ProductVariantComponentConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; currentlyNotInStock?: boolean; groupedBy?: { __typename?: "ProductVariantConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; price?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; product?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Product"; adjacentVariants?: any[]; availableForSale?: boolean; category?: any; collections?: any; compareAtPriceRange?: any; createdAt?: string; description?: string; descriptionHtml?: string; encodedVariantAvailability?: string; encodedVariantExistence?: string; featuredImage?: any; handle?: string; images?: any; isGiftCard?: boolean; media?: any; options?: any[]; priceRange?: any; productType?: string; publishedAt?: string; requiresSellingPlan?: boolean; selectedOrFirstAvailableVariant?: any; sellingPlanGroups?: any; seo?: any; tags?: string[]; title?: string; totalInventory?: number; updatedAt?: string; variantBySelectedOptions?: any; variants?: any; variantsCount?: any; vendor?: string; }; quantityAvailable?: number; quantityPriceBreaks?: { __typename?: "QuantityPriceBreakConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; quantityRule?: { __typename?: "QuantityRule"; increment?: number; maximum?: number; minimum?: number; }; requiresComponents?: boolean; requiresShipping?: boolean; selectedOptions?: { __typename?: "SelectedOption"; name?: string; value?: string; }[]; sellingPlanAllocations?: { __typename?: "SellingPlanAllocationConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; shopPayInstallmentsPricing?: { id?: string; __typename?: "ShopPayInstallmentsProductVariantPricing"; available?: boolean; eligible?: boolean; fullPrice?: any; installmentsCount?: any; pricePerTerm?: any; }; sku?: string; storeAvailability?: { __typename?: "StoreAvailabilityConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; taxable?: boolean; title?: string; unitPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; unitPriceMeasurement?: { __typename?: "UnitPriceMeasurement"; measuredType?: UnitPriceMeasurementMeasuredType; quantityUnit?: UnitPriceMeasurementMeasuredUnit; quantityValue?: number; referenceUnit?: UnitPriceMeasurementMeasuredUnit; referenceValue?: number; }; weight?: number; weightUnit?: WeightUnit; }; quantity?: number; sellingPlanAllocation?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceAdjustments?: { __typename?: "SellingPlanAllocationPriceAdjustment"; compareAtPrice?: any; perDeliveryPrice?: any; price?: any; unitPrice?: any; }[]; remainingBalanceChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; sellingPlan?: { metafield?: any; metafields?: any[]; __typename?: "SellingPlan"; billingPolicy?: any; checkoutCharge?: any; deliveryPolicy?: any; description?: string; id?: string; name?: string; options?: any[]; priceAdjustments?: any[]; recurringDeliveries?: boolean; }; }; __typename?: "CartLine"; instructions?: { __typename?: "CartLineInstructions"; canRemove?: boolean; canUpdateQuantity?: boolean; }; parentRelationship?: { __typename?: "CartLineParentRelationship"; parent?: any; }; } | { attribute?: { __typename?: "Attribute"; key?: string; value?: string; }; attributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; cost?: { __typename?: "CartLineCost"; amountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; discountAllocations?: ({ discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: any | any; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartAutomaticDiscountAllocation"; title?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: any | any; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCodeDiscountAllocation"; code?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: any | any; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCustomDiscountAllocation"; title?: string; })[]; estimatedCost?: { __typename?: "CartLineEstimatedCost"; amount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; id?: string; merchandise?: { metafield?: any; metafields?: any[]; id?: string; __typename?: "ProductVariant"; availableForSale?: boolean; barcode?: string; compareAtPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtPriceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; components?: { __typename?: "ProductVariantComponentConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; currentlyNotInStock?: boolean; groupedBy?: { __typename?: "ProductVariantConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; price?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; product?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Product"; adjacentVariants?: any[]; availableForSale?: boolean; category?: any; collections?: any; compareAtPriceRange?: any; createdAt?: string; description?: string; descriptionHtml?: string; encodedVariantAvailability?: string; encodedVariantExistence?: string; featuredImage?: any; handle?: string; images?: any; isGiftCard?: boolean; media?: any; options?: any[]; priceRange?: any; productType?: string; publishedAt?: string; requiresSellingPlan?: boolean; selectedOrFirstAvailableVariant?: any; sellingPlanGroups?: any; seo?: any; tags?: string[]; title?: string; totalInventory?: number; updatedAt?: string; variantBySelectedOptions?: any; variants?: any; variantsCount?: any; vendor?: string; }; quantityAvailable?: number; quantityPriceBreaks?: { __typename?: "QuantityPriceBreakConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; quantityRule?: { __typename?: "QuantityRule"; increment?: number; maximum?: number; minimum?: number; }; requiresComponents?: boolean; requiresShipping?: boolean; selectedOptions?: { __typename?: "SelectedOption"; name?: string; value?: string; }[]; sellingPlanAllocations?: { __typename?: "SellingPlanAllocationConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; shopPayInstallmentsPricing?: { id?: string; __typename?: "ShopPayInstallmentsProductVariantPricing"; available?: boolean; eligible?: boolean; fullPrice?: any; installmentsCount?: any; pricePerTerm?: any; }; sku?: string; storeAvailability?: { __typename?: "StoreAvailabilityConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; taxable?: boolean; title?: string; unitPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; unitPriceMeasurement?: { __typename?: "UnitPriceMeasurement"; measuredType?: UnitPriceMeasurementMeasuredType; quantityUnit?: UnitPriceMeasurementMeasuredUnit; quantityValue?: number; referenceUnit?: UnitPriceMeasurementMeasuredUnit; referenceValue?: number; }; weight?: number; weightUnit?: WeightUnit; }; quantity?: number; sellingPlanAllocation?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceAdjustments?: { __typename?: "SellingPlanAllocationPriceAdjustment"; compareAtPrice?: any; perDeliveryPrice?: any; price?: any; unitPrice?: any; }[]; remainingBalanceChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; sellingPlan?: { metafield?: any; metafields?: any[]; __typename?: "SellingPlan"; billingPolicy?: any; checkoutCharge?: any; deliveryPolicy?: any; description?: string; id?: string; name?: string; options?: any[]; priceAdjustments?: any[]; recurringDeliveries?: boolean; }; }; __typename?: "ComponentizableCartLine"; lineComponents?: { attribute?: { __typename?: "Attribute"; key?: string; value?: string; }; attributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; cost?: { __typename?: "CartLineCost"; amountPerQuantity?: any; compareAtAmountPerQuantity?: any; subtotalAmount?: any; totalAmount?: any; }; discountAllocations?: ({ discountApplication?: any; discountedAmount?: any; targetType?: DiscountApplicationTargetType; __typename?: "CartAutomaticDiscountAllocation"; title?: string; } | { discountApplication?: any; discountedAmount?: any; targetType?: DiscountApplicationTargetType; __typename?: "CartCodeDiscountAllocation"; code?: string; } | { discountApplication?: any; discountedAmount?: any; targetType?: DiscountApplicationTargetType; __typename?: "CartCustomDiscountAllocation"; title?: string; })[]; estimatedCost?: { __typename?: "CartLineEstimatedCost"; amount?: any; compareAtAmount?: any; subtotalAmount?: any; totalAmount?: any; }; id?: string; merchandise?: { metafield?: any; metafields?: any[]; id?: string; __typename?: "ProductVariant"; availableForSale?: boolean; barcode?: string; compareAtPrice?: any; compareAtPriceV2?: any; components?: any; currentlyNotInStock?: boolean; groupedBy?: any; image?: any; price?: any; priceV2?: any; product?: any; quantityAvailable?: number; quantityPriceBreaks?: any; quantityRule?: any; requiresComponents?: boolean; requiresShipping?: boolean; selectedOptions?: any[]; sellingPlanAllocations?: any; shopPayInstallmentsPricing?: any; sku?: string; storeAvailability?: any; taxable?: boolean; title?: string; unitPrice?: any; unitPriceMeasurement?: any; weight?: number; weightUnit?: WeightUnit; }; quantity?: number; sellingPlanAllocation?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: any; priceAdjustments?: any[]; remainingBalanceChargeAmount?: any; sellingPlan?: any; }; __typename?: "CartLine"; instructions?: { __typename?: "CartLineInstructions"; canRemove?: boolean; canUpdateQuantity?: boolean; }; parentRelationship?: { __typename?: "CartLineParentRelationship"; parent?: any; }; }[]; }; }[]; nodes?: ({ attribute?: { __typename?: "Attribute"; key?: string; value?: string; }; attributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; cost?: { __typename?: "CartLineCost"; amountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; discountAllocations?: ({ discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartAutomaticDiscountAllocation"; title?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCodeDiscountAllocation"; code?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCustomDiscountAllocation"; title?: string; })[]; estimatedCost?: { __typename?: "CartLineEstimatedCost"; amount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; id?: string; merchandise?: { metafield?: any; metafields?: any[]; id?: string; __typename?: "ProductVariant"; availableForSale?: boolean; barcode?: string; compareAtPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtPriceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; components?: { __typename?: "ProductVariantComponentConnection"; edges?: { __typename?: "ProductVariantComponentEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "ProductVariantComponent"; productVariant?: any; quantity?: number; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; currentlyNotInStock?: boolean; groupedBy?: { __typename?: "ProductVariantConnection"; edges?: { __typename?: "ProductVariantEdge"; cursor?: string; node?: any; }[]; nodes?: any[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; price?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; product?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Product"; adjacentVariants?: any[]; availableForSale?: boolean; category?: { id?: string; __typename?: "TaxonomyCategory"; ancestors?: any[]; name?: string; }; collections?: { __typename?: "CollectionConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; totalCount?: string; }; compareAtPriceRange?: { __typename?: "ProductPriceRange"; maxVariantPrice?: any; minVariantPrice?: any; }; createdAt?: string; description?: string; descriptionHtml?: string; encodedVariantAvailability?: string; encodedVariantExistence?: string; featuredImage?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; handle?: string; images?: { __typename?: "ImageConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; isGiftCard?: boolean; media?: { __typename?: "MediaConnection"; edges?: any[]; nodes?: (any | any | any | any)[]; pageInfo?: any; }; options?: { id?: string; __typename?: "ProductOption"; name?: string; optionValues?: any[]; values?: string[]; }[]; priceRange?: { __typename?: "ProductPriceRange"; maxVariantPrice?: any; minVariantPrice?: any; }; productType?: string; publishedAt?: string; requiresSellingPlan?: boolean; selectedOrFirstAvailableVariant?: any; sellingPlanGroups?: { __typename?: "SellingPlanGroupConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; seo?: { __typename?: "SEO"; description?: string; title?: string; }; tags?: string[]; title?: string; totalInventory?: number; updatedAt?: string; variantBySelectedOptions?: any; variants?: { __typename?: "ProductVariantConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; variantsCount?: { __typename?: "Count"; count?: number; precision?: CountPrecision; }; vendor?: string; }; quantityAvailable?: number; quantityPriceBreaks?: { __typename?: "QuantityPriceBreakConnection"; edges?: { __typename?: "QuantityPriceBreakEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "QuantityPriceBreak"; minimumQuantity?: number; price?: any; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; quantityRule?: { __typename?: "QuantityRule"; increment?: number; maximum?: number; minimum?: number; }; requiresComponents?: boolean; requiresShipping?: boolean; selectedOptions?: { __typename?: "SelectedOption"; name?: string; value?: string; }[]; sellingPlanAllocations?: { __typename?: "SellingPlanAllocationConnection"; edges?: { __typename?: "SellingPlanAllocationEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: any; priceAdjustments?: any[]; remainingBalanceChargeAmount?: any; sellingPlan?: any; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; shopPayInstallmentsPricing?: { id?: string; __typename?: "ShopPayInstallmentsProductVariantPricing"; available?: boolean; eligible?: boolean; fullPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; installmentsCount?: { __typename?: "Count"; count?: number; precision?: CountPrecision; }; pricePerTerm?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; sku?: string; storeAvailability?: { __typename?: "StoreAvailabilityConnection"; edges?: { __typename?: "StoreAvailabilityEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "StoreAvailability"; available?: boolean; location?: any; pickUpTime?: string; quantityAvailable?: number; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; taxable?: boolean; title?: string; unitPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; unitPriceMeasurement?: { __typename?: "UnitPriceMeasurement"; measuredType?: UnitPriceMeasurementMeasuredType; quantityUnit?: UnitPriceMeasurementMeasuredUnit; quantityValue?: number; referenceUnit?: UnitPriceMeasurementMeasuredUnit; referenceValue?: number; }; weight?: number; weightUnit?: WeightUnit; }; quantity?: number; sellingPlanAllocation?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceAdjustments?: { __typename?: "SellingPlanAllocationPriceAdjustment"; compareAtPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; perDeliveryPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; price?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; unitPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }[]; remainingBalanceChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; sellingPlan?: { metafield?: any; metafields?: any[]; __typename?: "SellingPlan"; billingPolicy?: { __typename?: "SellingPlanRecurringBillingPolicy"; interval?: SellingPlanInterval; intervalCount?: number; }; checkoutCharge?: { __typename?: "SellingPlanCheckoutCharge"; type?: SellingPlanCheckoutChargeType; value?: any | any; }; deliveryPolicy?: { __typename?: "SellingPlanRecurringDeliveryPolicy"; interval?: SellingPlanInterval; intervalCount?: number; }; description?: string; id?: string; name?: string; options?: { __typename?: "SellingPlanOption"; name?: string; value?: string; }[]; priceAdjustments?: { __typename?: "SellingPlanPriceAdjustment"; adjustmentValue?: any | any | any; orderCount?: number; }[]; recurringDeliveries?: boolean; }; }; __typename?: "CartLine"; instructions?: { __typename?: "CartLineInstructions"; canRemove?: boolean; canUpdateQuantity?: boolean; }; parentRelationship?: { __typename?: "CartLineParentRelationship"; parent?: any; }; } | { attribute?: { __typename?: "Attribute"; key?: string; value?: string; }; attributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; cost?: { __typename?: "CartLineCost"; amountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; discountAllocations?: ({ discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartAutomaticDiscountAllocation"; title?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCodeDiscountAllocation"; code?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCustomDiscountAllocation"; title?: string; })[]; estimatedCost?: { __typename?: "CartLineEstimatedCost"; amount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; id?: string; merchandise?: { metafield?: any; metafields?: any[]; id?: string; __typename?: "ProductVariant"; availableForSale?: boolean; barcode?: string; compareAtPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtPriceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; components?: { __typename?: "ProductVariantComponentConnection"; edges?: { __typename?: "ProductVariantComponentEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "ProductVariantComponent"; productVariant?: any; quantity?: number; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; currentlyNotInStock?: boolean; groupedBy?: { __typename?: "ProductVariantConnection"; edges?: { __typename?: "ProductVariantEdge"; cursor?: string; node?: any; }[]; nodes?: any[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; price?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; product?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Product"; adjacentVariants?: any[]; availableForSale?: boolean; category?: { id?: string; __typename?: "TaxonomyCategory"; ancestors?: any[]; name?: string; }; collections?: { __typename?: "CollectionConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; totalCount?: string; }; compareAtPriceRange?: { __typename?: "ProductPriceRange"; maxVariantPrice?: any; minVariantPrice?: any; }; createdAt?: string; description?: string; descriptionHtml?: string; encodedVariantAvailability?: string; encodedVariantExistence?: string; featuredImage?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; handle?: string; images?: { __typename?: "ImageConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; isGiftCard?: boolean; media?: { __typename?: "MediaConnection"; edges?: any[]; nodes?: (any | any | any | any)[]; pageInfo?: any; }; options?: { id?: string; __typename?: "ProductOption"; name?: string; optionValues?: any[]; values?: string[]; }[]; priceRange?: { __typename?: "ProductPriceRange"; maxVariantPrice?: any; minVariantPrice?: any; }; productType?: string; publishedAt?: string; requiresSellingPlan?: boolean; selectedOrFirstAvailableVariant?: any; sellingPlanGroups?: { __typename?: "SellingPlanGroupConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; seo?: { __typename?: "SEO"; description?: string; title?: string; }; tags?: string[]; title?: string; totalInventory?: number; updatedAt?: string; variantBySelectedOptions?: any; variants?: { __typename?: "ProductVariantConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; variantsCount?: { __typename?: "Count"; count?: number; precision?: CountPrecision; }; vendor?: string; }; quantityAvailable?: number; quantityPriceBreaks?: { __typename?: "QuantityPriceBreakConnection"; edges?: { __typename?: "QuantityPriceBreakEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "QuantityPriceBreak"; minimumQuantity?: number; price?: any; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; quantityRule?: { __typename?: "QuantityRule"; increment?: number; maximum?: number; minimum?: number; }; requiresComponents?: boolean; requiresShipping?: boolean; selectedOptions?: { __typename?: "SelectedOption"; name?: string; value?: string; }[]; sellingPlanAllocations?: { __typename?: "SellingPlanAllocationConnection"; edges?: { __typename?: "SellingPlanAllocationEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: any; priceAdjustments?: any[]; remainingBalanceChargeAmount?: any; sellingPlan?: any; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; shopPayInstallmentsPricing?: { id?: string; __typename?: "ShopPayInstallmentsProductVariantPricing"; available?: boolean; eligible?: boolean; fullPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; installmentsCount?: { __typename?: "Count"; count?: number; precision?: CountPrecision; }; pricePerTerm?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; sku?: string; storeAvailability?: { __typename?: "StoreAvailabilityConnection"; edges?: { __typename?: "StoreAvailabilityEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "StoreAvailability"; available?: boolean; location?: any; pickUpTime?: string; quantityAvailable?: number; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; taxable?: boolean; title?: string; unitPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; unitPriceMeasurement?: { __typename?: "UnitPriceMeasurement"; measuredType?: UnitPriceMeasurementMeasuredType; quantityUnit?: UnitPriceMeasurementMeasuredUnit; quantityValue?: number; referenceUnit?: UnitPriceMeasurementMeasuredUnit; referenceValue?: number; }; weight?: number; weightUnit?: WeightUnit; }; quantity?: number; sellingPlanAllocation?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceAdjustments?: { __typename?: "SellingPlanAllocationPriceAdjustment"; compareAtPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; perDeliveryPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; price?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; unitPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }[]; remainingBalanceChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; sellingPlan?: { metafield?: any; metafields?: any[]; __typename?: "SellingPlan"; billingPolicy?: { __typename?: "SellingPlanRecurringBillingPolicy"; interval?: SellingPlanInterval; intervalCount?: number; }; checkoutCharge?: { __typename?: "SellingPlanCheckoutCharge"; type?: SellingPlanCheckoutChargeType; value?: any | any; }; deliveryPolicy?: { __typename?: "SellingPlanRecurringDeliveryPolicy"; interval?: SellingPlanInterval; intervalCount?: number; }; description?: string; id?: string; name?: string; options?: { __typename?: "SellingPlanOption"; name?: string; value?: string; }[]; priceAdjustments?: { __typename?: "SellingPlanPriceAdjustment"; adjustmentValue?: any | any | any; orderCount?: number; }[]; recurringDeliveries?: boolean; }; }; __typename?: "ComponentizableCartLine"; lineComponents?: { attribute?: { __typename?: "Attribute"; key?: string; value?: string; }; attributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; cost?: { __typename?: "CartLineCost"; amountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmountPerQuantity?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; discountAllocations?: ({ discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: any | any; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartAutomaticDiscountAllocation"; title?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: any | any; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCodeDiscountAllocation"; code?: string; } | { discountApplication?: { __typename?: "CartDiscountApplication"; allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: any | any; }; discountedAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; targetType?: DiscountApplicationTargetType; __typename?: "CartCustomDiscountAllocation"; title?: string; })[]; estimatedCost?: { __typename?: "CartLineEstimatedCost"; amount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; subtotalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; totalAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; id?: string; merchandise?: { metafield?: any; metafields?: any[]; id?: string; __typename?: "ProductVariant"; availableForSale?: boolean; barcode?: string; compareAtPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; compareAtPriceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; components?: { __typename?: "ProductVariantComponentConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; currentlyNotInStock?: boolean; groupedBy?: { __typename?: "ProductVariantConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; price?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceV2?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; product?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Product"; adjacentVariants?: any[]; availableForSale?: boolean; category?: any; collections?: any; compareAtPriceRange?: any; createdAt?: string; description?: string; descriptionHtml?: string; encodedVariantAvailability?: string; encodedVariantExistence?: string; featuredImage?: any; handle?: string; images?: any; isGiftCard?: boolean; media?: any; options?: any[]; priceRange?: any; productType?: string; publishedAt?: string; requiresSellingPlan?: boolean; selectedOrFirstAvailableVariant?: any; sellingPlanGroups?: any; seo?: any; tags?: string[]; title?: string; totalInventory?: number; updatedAt?: string; variantBySelectedOptions?: any; variants?: any; variantsCount?: any; vendor?: string; }; quantityAvailable?: number; quantityPriceBreaks?: { __typename?: "QuantityPriceBreakConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; quantityRule?: { __typename?: "QuantityRule"; increment?: number; maximum?: number; minimum?: number; }; requiresComponents?: boolean; requiresShipping?: boolean; selectedOptions?: { __typename?: "SelectedOption"; name?: string; value?: string; }[]; sellingPlanAllocations?: { __typename?: "SellingPlanAllocationConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; shopPayInstallmentsPricing?: { id?: string; __typename?: "ShopPayInstallmentsProductVariantPricing"; available?: boolean; eligible?: boolean; fullPrice?: any; installmentsCount?: any; pricePerTerm?: any; }; sku?: string; storeAvailability?: { __typename?: "StoreAvailabilityConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; taxable?: boolean; title?: string; unitPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; unitPriceMeasurement?: { __typename?: "UnitPriceMeasurement"; measuredType?: UnitPriceMeasurementMeasuredType; quantityUnit?: UnitPriceMeasurementMeasuredUnit; quantityValue?: number; referenceUnit?: UnitPriceMeasurementMeasuredUnit; referenceValue?: number; }; weight?: number; weightUnit?: WeightUnit; }; quantity?: number; sellingPlanAllocation?: { __typename?: "SellingPlanAllocation"; checkoutChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; priceAdjustments?: { __typename?: "SellingPlanAllocationPriceAdjustment"; compareAtPrice?: any; perDeliveryPrice?: any; price?: any; unitPrice?: any; }[]; remainingBalanceChargeAmount?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; sellingPlan?: { metafield?: any; metafields?: any[]; __typename?: "SellingPlan"; billingPolicy?: any; checkoutCharge?: any; deliveryPolicy?: any; description?: string; id?: string; name?: string; options?: any[]; priceAdjustments?: any[]; recurringDeliveries?: boolean; }; }; __typename?: "CartLine"; instructions?: { __typename?: "CartLineInstructions"; canRemove?: boolean; canUpdateQuantity?: boolean; }; parentRelationship?: { __typename?: "CartLineParentRelationship"; parent?: any; }; }[]; })[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; note?: string; totalQuantity?: number; updatedAt?: string; } | { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Article"; author?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }; authorV2?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }; blog?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; __typename?: "Blog"; articleByHandle?: any; articles?: { __typename?: "ArticleConnection"; edges?: { __typename?: "ArticleEdge"; cursor?: string; node?: any; }[]; nodes?: any[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; authors?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }[]; handle?: string; seo?: { __typename?: "SEO"; description?: string; title?: string; }; title?: string; }; comments?: { __typename?: "CommentConnection"; edges?: { __typename?: "CommentEdge"; cursor?: string; node?: { id?: string; __typename?: "Comment"; author?: { __typename?: "CommentAuthor"; email?: string; name?: string; }; content?: string; contentHtml?: string; }; }[]; nodes?: { id?: string; __typename?: "Comment"; author?: { __typename?: "CommentAuthor"; email?: string; name?: string; }; content?: string; contentHtml?: string; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; content?: string; contentHtml?: string; excerpt?: string; excerptHtml?: string; handle?: string; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; publishedAt?: string; seo?: { __typename?: "SEO"; description?: string; title?: string; }; tags?: string[]; title?: string; } | { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; __typename?: "Blog"; articleByHandle?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Article"; author?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }; authorV2?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }; blog?: any; comments?: { __typename?: "CommentConnection"; edges?: { __typename?: "CommentEdge"; cursor?: string; node?: { id?: string; __typename?: "Comment"; author?: { __typename?: "CommentAuthor"; email?: string; name?: string; }; content?: string; contentHtml?: string; }; }[]; nodes?: { id?: string; __typename?: "Comment"; author?: { __typename?: "CommentAuthor"; email?: string; name?: string; }; content?: string; contentHtml?: string; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; content?: string; contentHtml?: string; excerpt?: string; excerptHtml?: string; handle?: string; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; publishedAt?: string; seo?: { __typename?: "SEO"; description?: string; title?: string; }; tags?: string[]; title?: string; }; articles?: { __typename?: "ArticleConnection"; edges?: { __typename?: "ArticleEdge"; cursor?: string; node?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Article"; author?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }; authorV2?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }; blog?: any; comments?: { __typename?: "CommentConnection"; edges?: { __typename?: "CommentEdge"; cursor?: string; node?: any; }[]; nodes?: { id?: string; __typename?: "Comment"; author?: any; content?: string; contentHtml?: string; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; content?: string; contentHtml?: string; excerpt?: string; excerptHtml?: string; handle?: string; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; publishedAt?: string; seo?: { __typename?: "SEO"; description?: string; title?: string; }; tags?: string[]; title?: string; }; }[]; nodes?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Article"; author?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }; authorV2?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }; blog?: any; comments?: { __typename?: "CommentConnection"; edges?: { __typename?: "CommentEdge"; cursor?: string; node?: { id?: string; __typename?: "Comment"; author?: any; content?: string; contentHtml?: string; }; }[]; nodes?: { id?: string; __typename?: "Comment"; author?: { __typename?: "CommentAuthor"; email?: string; name?: string; }; content?: string; contentHtml?: string; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; content?: string; contentHtml?: string; excerpt?: string; excerptHtml?: string; handle?: string; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; publishedAt?: string; seo?: { __typename?: "SEO"; description?: string; title?: string; }; tags?: string[]; title?: string; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; authors?: { __typename?: "ArticleAuthor"; bio?: string; email?: string; firstName?: string; lastName?: string; name?: string; }[]; handle?: string; seo?: { __typename?: "SEO"; description?: string; title?: string; }; title?: string; } | { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Collection"; description?: string; descriptionHtml?: string; handle?: string; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; products?: { __typename?: "ProductConnection"; edges?: { __typename?: "ProductEdge"; cursor?: string; node?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Product"; adjacentVariants?: any[]; availableForSale?: boolean; category?: { id?: string; __typename?: "TaxonomyCategory"; ancestors?: any[]; name?: string; }; collections?: { __typename?: "CollectionConnection"; edges?: { __typename?: "CollectionEdge"; cursor?: string; node?: any; }[]; nodes?: any[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; totalCount?: string; }; compareAtPriceRange?: { __typename?: "ProductPriceRange"; maxVariantPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; minVariantPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; createdAt?: string; description?: string; descriptionHtml?: string; encodedVariantAvailability?: string; encodedVariantExistence?: string; featuredImage?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; handle?: string; images?: { __typename?: "ImageConnection"; edges?: { __typename?: "ImageEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; isGiftCard?: boolean; media?: { __typename?: "MediaConnection"; edges?: { __typename?: "MediaEdge"; cursor?: string; node?: any | any | any | any; }[]; nodes?: ({ alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: any; previewImage?: any; __typename?: "ExternalVideo"; embedUrl?: string; embeddedUrl?: string; host?: MediaHost; originUrl?: string; } | { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: any; previewImage?: any; __typename?: "MediaImage"; image?: any; } | { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: any; previewImage?: any; __typename?: "Model3d"; sources?: any[]; } | { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: any; previewImage?: any; __typename?: "Video"; sources?: any[]; })[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; options?: { id?: string; __typename?: "ProductOption"; name?: string; optionValues?: { id?: string; __typename?: "ProductOptionValue"; firstSelectableVariant?: any; name?: string; swatch?: any; }[]; values?: string[]; }[]; priceRange?: { __typename?: "ProductPriceRange"; maxVariantPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; minVariantPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; productType?: string; publishedAt?: string; requiresSellingPlan?: boolean; selectedOrFirstAvailableVariant?: any; sellingPlanGroups?: { __typename?: "SellingPlanGroupConnection"; edges?: { __typename?: "SellingPlanGroupEdge"; cursor?: string; node?: any; }[]; nodes?: { __typename?: "SellingPlanGroup"; appName?: string; name?: string; options?: any[]; sellingPlans?: any; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; seo?: { __typename?: "SEO"; description?: string; title?: string; }; tags?: string[]; title?: string; totalInventory?: number; updatedAt?: string; variantBySelectedOptions?: any; variants?: { __typename?: "ProductVariantConnection"; edges?: { __typename?: "ProductVariantEdge"; cursor?: string; node?: any; }[]; nodes?: any[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; variantsCount?: { __typename?: "Count"; count?: number; precision?: CountPrecision; }; vendor?: string; }; }[]; filters?: { __typename?: "Filter"; id?: string; label?: string; presentation?: FilterPresentation; type?: FilterType; values?: { __typename?: "FilterValue"; count?: number; id?: string; image?: { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: { id?: string; __typename?: "MediaPresentation"; asJson?: unknown; }; previewImage?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; __typename?: "MediaImage"; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; }; input?: unknown; label?: string; swatch?: { __typename?: "Swatch"; color?: string; image?: { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: any; previewImage?: any; __typename?: "MediaImage"; image?: any; }; }; }[]; }[]; nodes?: { metafield?: any; metafields?: any[]; id?: string; onlineStoreUrl?: string; trackingParameters?: string; __typename?: "Product"; adjacentVariants?: any[]; availableForSale?: boolean; category?: { id?: string; __typename?: "TaxonomyCategory"; ancestors?: any[]; name?: string; }; collections?: { __typename?: "CollectionConnection"; edges?: { __typename?: "CollectionEdge"; cursor?: string; node?: any; }[]; nodes?: any[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; totalCount?: string; }; compareAtPriceRange?: { __typename?: "ProductPriceRange"; maxVariantPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; minVariantPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; createdAt?: string; description?: string; descriptionHtml?: string; encodedVariantAvailability?: string; encodedVariantExistence?: string; featuredImage?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; handle?: string; images?: { __typename?: "ImageConnection"; edges?: { __typename?: "ImageEdge"; cursor?: string; node?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; }[]; nodes?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; isGiftCard?: boolean; media?: { __typename?: "MediaConnection"; edges?: { __typename?: "MediaEdge"; cursor?: string; node?: { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: any; previewImage?: any; __typename?: "ExternalVideo"; embedUrl?: string; embeddedUrl?: string; host?: MediaHost; originUrl?: string; } | { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: any; previewImage?: any; __typename?: "MediaImage"; image?: any; } | { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: any; previewImage?: any; __typename?: "Model3d"; sources?: any[]; } | { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: any; previewImage?: any; __typename?: "Video"; sources?: any[]; }; }[]; nodes?: ({ alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: { id?: string; __typename?: "MediaPresentation"; asJson?: unknown; }; previewImage?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; __typename?: "ExternalVideo"; embedUrl?: string; embeddedUrl?: string; host?: MediaHost; originUrl?: string; } | { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: { id?: string; __typename?: "MediaPresentation"; asJson?: unknown; }; previewImage?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; __typename?: "MediaImage"; image?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; } | { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: { id?: string; __typename?: "MediaPresentation"; asJson?: unknown; }; previewImage?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; __typename?: "Model3d"; sources?: { __typename?: "Model3dSource"; filesize?: number; format?: string; mimeType?: string; url?: string; }[]; } | { alt?: string; id?: string; mediaContentType?: MediaContentType; presentation?: { id?: string; __typename?: "MediaPresentation"; asJson?: unknown; }; previewImage?: { __typename?: "Image"; altText?: string; height?: number; id?: string; originalSrc?: string; src?: string; thumbhash?: string; transformedSrc?: string; url?: string; width?: number; }; __typename?: "Video"; sources?: { __typename?: "VideoSource"; format?: string; height?: number; mimeType?: string; url?: string; width?: number; }[]; })[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; options?: { id?: string; __typename?: "ProductOption"; name?: string; optionValues?: { id?: string; __typename?: "ProductOptionValue"; firstSelectableVariant?: any; name?: string; swatch?: { __typename?: "ProductOptionValueSwatch"; color?: string; image?: any | any | any | any; }; }[]; values?: string[]; }[]; priceRange?: { __typename?: "ProductPriceRange"; maxVariantPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; minVariantPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; }; productType?: string; publishedAt?: string; requiresSellingPlan?: boolean; selectedOrFirstAvailableVariant?: any; sellingPlanGroups?: { __typename?: "SellingPlanGroupConnection"; edges?: { __typename?: "SellingPlanGroupEdge"; cursor?: string; node?: { __typename?: "SellingPlanGroup"; appName?: string; name?: string; options?: any[]; sellingPlans?: any; }; }[]; nodes?: { __typename?: "SellingPlanGroup"; appName?: string; name?: string; options?: { __typename?: "SellingPlanGroupOption"; name?: string; values?: string[]; }[]; sellingPlans?: { __typename?: "SellingPlanConnection"; edges?: any[]; nodes?: any[]; pageInfo?: any; }; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; seo?: { __typename?: "SEO"; description?: string; title?: string; }; tags?: string[]; title?: string; totalInventory?: number; updatedAt?: string; variantBySelectedOptions?: any; variants?: { __typename?: "ProductVariantConnection"; edges?: { __typename?: "ProductVariantEdge"; cursor?: string; node?: any; }[]; nodes?: any[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; variantsCount?: { __typename?: "Count"; count?: number; precision?: CountPrecision; }; vendor?: string; }[]; pageInfo?: { __typename?: "PageInfo"; endCursor?: string; hasNextPage?: boolean; hasPreviousPage?: boolean; startCursor?: string; }; }; seo?: { __typename?: "SEO"; description?: string; title?: string; }; title?: string; updatedAt?: string; } | { metafield?: any; metafields?: any[]; id?: string; __typename?: "Company"; createdAt?: string; externalId?: string; name?: string; updatedAt?: string; } | { metafield?: any; metafields?: any[]; id?: string; __typename?: "CompanyLocation"; createdAt?: string; externalId?: string; locale?: string; name?: string; updatedAt?: string; } | { metafield?: any; metafields?: any[]; id?: string; __typename?: "Location"; address?: { __typename?: "LocationAddress"; address1?: string; address2?: string; city?: string; country?: string; countryCode?: string; formatted?: string[]; latitude?: number; longitude?: number; phone?: string; province?: string; provinceCode?: string; zip?: string; }; name?: string; } | { metafield?: any; metafields?: any[]; id?: string; __typename?: "Market"; handle?: string; } | { metafield?: any; metafields?: any[]; id?: string; __typename?: "Order"; billingAddress?: { id?: string; __typename?: "MailingAddress"; address1?: string; address2?: string; city?: string; company?: string; country?: string; countryCode?: string; countryCodeV2?: CountryCode; firstName?: string; formatted?: string[]; formattedArea?: string; lastName?: string; latitude?: number; longitude?: number; name?: string; phone?: string; province?: string; provinceCode?: string; zip?: string; }; cancelReason?: OrderCancelReason; canceledAt?: string; currencyCode?: CurrencyCode; currentSubtotalPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; currentTotalDuties?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; currentTotalPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; currentTotalShippingPrice?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; currentTotalTax?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; }; customAttributes?: { __typename?: "Attribute"; key?: string; value?: string; }[]; customerLocale?: string; customerUrl?: string; discountApplications?: { __typename?: "DiscountApplicationConnection"; edges?: { __typename?: "DiscountApplicationEdge"; cursor?: string; node?: { allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; __typename?: "AutomaticDiscountApplication"; title?: string; } | { allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; __typename?: "DiscountCodeApplication"; applicable?: boolean; code?: string; } | { allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; __typename?: "ManualDiscountApplication"; description?: string; title?: string; } | { allocationMethod?: DiscountApplicationAllocationMethod; targetSelection?: DiscountApplicationTargetSelection; targetType?: DiscountApplicationTargetType; value?: { __typename?: "MoneyV2"; amount?: string; currencyCode?: CurrencyCode; } | { __typename?: "PricingPercentageValue"; percentage?: number; }; __typename?: "ScriptDiscountApplication"; title?: string; }; }[]; nodes?: ({ allocationMethod?: Dis
[...]
